Note: 
Images
1. Use .jpg or .png images with width 1500px
2. use - and alphanumeric to name images file

https://daringfireball.net/projects/markdown/syntax

My G interview questions
1. planar to pixel conversion
2. remove given elements and its child elements form the array of tree nodes


Changes required
1. Make chapter wise grouping

```html
<!-- <div class="menu box">
    <ul class="menu-list">
        {{ range $group := .Pages.GroupByParam "chapter" }}
        <span class="menu-label">{{ .Key }}</span>
        {{ range $page := $group.Pages.ByWeight }}
        <li>
            <a class="menu-item" href="{{.Permalink}}">{{.Weight}}. {{.Title}}</a>
            {{ replace .TableOfContents `href="#` (printf `href="%s#` .Permalink) | safeHTML }}
        </li>
        {{ end }}
        {{ end }}
    </ul>
</div> -->
```